fsg_seg_s Struct Reference

Segmentation "iterator" for FSG history. More...

`#include <fsg_search_internal.h>`

## Data Fields

ps_seg_t | base
| Base structure.
fsg_hist_entry_t ** | hist
| Sequence of history entries.
int16 | n_hist
| Number of history entries.
int16 | cur
| Current position in hist.

## Detailed Description

Segmentation "iterator" for FSG history.

Definition at line 58 of file fsg_search_internal.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/fsg_search_internal.h